For the complete documentation index, see llms.txt. This page is also available as Markdown.

Find admin by ID

get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Path parameters
contractNumberinteger · int64Required
adminIdinteger · int64Required
Responses
200

Success

application/json
idstringRead-onlyOptional

The resource's unique identifier

Example: 15514
hrefstring · uriRead-onlyOptional

URI for specific Admin in a Contract

Example: https://api.ionos.com/reseller/v2/contract/15514/admin/5533
firstNamestringRead-onlyOptional

first name of the user

lastNamestringRead-onlyOptional

last name of the user

emailstringRead-onlyOptional

email of the user

get/contracts/{contractNumber}/admins/{adminId}
GET /reseller/v2/contracts/{contractNumber}/admins/{adminId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
  "id": "15514",
  "href": "https://api.ionos.com/reseller/v2/contract/15514/admin/5533",
  "firstName": "text",
  "lastName": "text",
  "email": "text"
}

Last updated

Was this helpful?